// Code generated by protoc-gen-go. DO NOT EDIT.
// source: usage.proto

package pb

import (
	context "context"
	fmt "fmt"
	proto "github.com/golang/protobuf/proto"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
	math "math"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion3 // please upgrade the proto package

type CreateKeyUsageInfoRequest struct {
	Key                  string   `protobuf:"bytes,1,opt,name=key,proto3" json:"key,omitempty"`
	Status               string   `protobuf:"bytes,2,opt,name=status,proto3" json:"status,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *CreateKeyUsageInfoRequest) Reset()         { *m = CreateKeyUsageInfoRequest{} }
func (m *CreateKeyUsageInfoRequest) String() string { return proto.CompactTextString(m) }
func (*CreateKeyUsageInfoRequest) ProtoMessage()    {}
func (*CreateKeyUsageInfoRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_fc9154f4fefb0f53, []int{0}
}

func (m *CreateKeyUsageInfoRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_CreateKeyUsageInfoRequest.Unmarshal(m, b)
}
func (m *CreateKeyUsageInfoRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_CreateKeyUsageInfoRequest.Marshal(b, m, deterministic)
}
func (m *CreateKeyUsageInfoRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_CreateKeyUsageInfoRequest.Merge(m, src)
}
func (m *CreateKeyUsageInfoRequest) XXX_Size() int {
	return xxx_messageInfo_CreateKeyUsageInfoRequest.Size(m)
}
func (m *CreateKeyUsageInfoRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_CreateKeyUsageInfoRequest.DiscardUnknown(m)
}

var xxx_messageInfo_CreateKeyUsageInfoRequest proto.InternalMessageInfo

func (m *CreateKeyUsageInfoRequest) GetKey() string {
	if m != nil {
		return m.Key
	}
	return ""
}

func (m *CreateKeyUsageInfoRequest) GetStatus() string {
	if m != nil {
		return m.Status
	}
	return ""
}

type CreateKeyUsageInfoReply struct {
	Id                   string   `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *CreateKeyUsageInfoReply) Reset()         { *m = CreateKeyUsageInfoReply{} }
func (m *CreateKeyUsageInfoReply) String() string { return proto.CompactTextString(m) }
func (*CreateKeyUsageInfoReply) ProtoMessage()    {}
func (*CreateKeyUsageInfoReply) Descriptor() ([]byte, []int) {
	return fileDescriptor_fc9154f4fefb0f53, []int{1}
}

func (m *CreateKeyUsageInfoReply) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_CreateKeyUsageInfoReply.Unmarshal(m, b)
}
func (m *CreateKeyUsageInfoReply) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_CreateKeyUsageInfoReply.Marshal(b, m, deterministic)
}
func (m *CreateKeyUsageInfoReply) XXX_Merge(src proto.Message) {
	xxx_messageInfo_CreateKeyUsageInfoReply.Merge(m, src)
}
func (m *CreateKeyUsageInfoReply) XXX_Size() int {
	return xxx_messageInfo_CreateKeyUsageInfoReply.Size(m)
}
func (m *CreateKeyUsageInfoReply) XXX_DiscardUnknown() {
	xxx_messageInfo_CreateKeyUsageInfoReply.DiscardUnknown(m)
}

var xxx_messageInfo_CreateKeyUsageInfoReply proto.InternalMessageInfo

func (m *CreateKeyUsageInfoReply) GetId() string {
	if m != nil {
		return m.Id
	}
	return ""
}

type UpdateKeyUsageInfoRequest struct {
	Key                  string   `protobuf:"bytes,1,opt,name=key,proto3" json:"key,omitempty"`
	MacAddress           string   `protobuf:"bytes,2,opt,name=mac_address,json=macAddress,proto3" json:"mac_address,omitempty"`
	UserId               string   `protobuf:"bytes,3,opt,name=user_id,json=userId,proto3" json:"user_id,omitempty"`
	ActiveTime           string   `protobuf:"bytes,4,opt,name=active_time,json=activeTime,proto3" json:"active_time,omitempty"`
	Status               string   `protobuf:"bytes,5,opt,name=status,proto3" json:"status,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *UpdateKeyUsageInfoRequest) Reset()         { *m = UpdateKeyUsageInfoRequest{} }
func (m *UpdateKeyUsageInfoRequest) String() string { return proto.CompactTextString(m) }
func (*UpdateKeyUsageInfoRequest) ProtoMessage()    {}
func (*UpdateKeyUsageInfoRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_fc9154f4fefb0f53, []int{2}
}

func (m *UpdateKeyUsageInfoRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_UpdateKeyUsageInfoRequest.Unmarshal(m, b)
}
func (m *UpdateKeyUsageInfoRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_UpdateKeyUsageInfoRequest.Marshal(b, m, deterministic)
}
func (m *UpdateKeyUsageInfoRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_UpdateKeyUsageInfoRequest.Merge(m, src)
}
func (m *UpdateKeyUsageInfoRequest) XXX_Size() int {
	return xxx_messageInfo_UpdateKeyUsageInfoRequest.Size(m)
}
func (m *UpdateKeyUsageInfoRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_UpdateKeyUsageInfoRequest.DiscardUnknown(m)
}

var xxx_messageInfo_UpdateKeyUsageInfoRequest proto.InternalMessageInfo

func (m *UpdateKeyUsageInfoRequest) GetKey() string {
	if m != nil {
		return m.Key
	}
	return ""
}

func (m *UpdateKeyUsageInfoRequest) GetMacAddress() string {
	if m != nil {
		return m.MacAddress
	}
	return ""
}

func (m *UpdateKeyUsageInfoRequest) GetUserId() string {
	if m != nil {
		return m.UserId
	}
	return ""
}

func (m *UpdateKeyUsageInfoRequest) GetActiveTime() string {
	if m != nil {
		return m.ActiveTime
	}
	return ""
}

func (m *UpdateKeyUsageInfoRequest) GetStatus() string {
	if m != nil {
		return m.Status
	}
	return ""
}

type UpdateKeyUsageInfoReply struct {
	UpdatedCount         int64    `protobuf:"varint,1,opt,name=updated_count,json=updatedCount,proto3" json:"updated_count,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *UpdateKeyUsageInfoReply) Reset()         { *m = UpdateKeyUsageInfoReply{} }
func (m *UpdateKeyUsageInfoReply) String() string { return proto.CompactTextString(m) }
func (*UpdateKeyUsageInfoReply) ProtoMessage()    {}
func (*UpdateKeyUsageInfoReply) Descriptor() ([]byte, []int) {
	return fileDescriptor_fc9154f4fefb0f53, []int{3}
}

func (m *UpdateKeyUsageInfoReply) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_UpdateKeyUsageInfoReply.Unmarshal(m, b)
}
func (m *UpdateKeyUsageInfoReply) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_UpdateKeyUsageInfoReply.Marshal(b, m, deterministic)
}
func (m *UpdateKeyUsageInfoReply) XXX_Merge(src proto.Message) {
	xxx_messageInfo_UpdateKeyUsageInfoReply.Merge(m, src)
}
func (m *UpdateKeyUsageInfoReply) XXX_Size() int {
	return xxx_messageInfo_UpdateKeyUsageInfoReply.Size(m)
}
func (m *UpdateKeyUsageInfoReply) XXX_DiscardUnknown() {
	xxx_messageInfo_UpdateKeyUsageInfoReply.DiscardUnknown(m)
}

var xxx_messageInfo_UpdateKeyUsageInfoReply proto.InternalMessageInfo

func (m *UpdateKeyUsageInfoReply) GetUpdatedCount() int64 {
	if m != nil {
		return m.UpdatedCount
	}
	return 0
}

type ReadKeyUsageInfoRequest struct {
	Key                  string   `protobuf:"bytes,1,opt,name=key,proto3" json:"key,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *ReadKeyUsageInfoRequest) Reset()         { *m = ReadKeyUsageInfoRequest{} }
func (m *ReadKeyUsageInfoRequest) String() string { return proto.CompactTextString(m) }
func (*ReadKeyUsageInfoRequest) ProtoMessage()    {}
func (*ReadKeyUsageInfoRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_fc9154f4fefb0f53, []int{4}
}

func (m *ReadKeyUsageInfoRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ReadKeyUsageInfoRequest.Unmarshal(m, b)
}
func (m *ReadKeyUsageInfoRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ReadKeyUsageInfoRequest.Marshal(b, m, deterministic)
}
func (m *ReadKeyUsageInfoRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ReadKeyUsageInfoRequest.Merge(m, src)
}
func (m *ReadKeyUsageInfoRequest) XXX_Size() int {
	return xxx_messageInfo_ReadKeyUsageInfoRequest.Size(m)
}
func (m *ReadKeyUsageInfoRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_ReadKeyUsageInfoRequest.DiscardUnknown(m)
}

var xxx_messageInfo_ReadKeyUsageInfoRequest proto.InternalMessageInfo

func (m *ReadKeyUsageInfoRequest) GetKey() string {
	if m != nil {
		return m.Key
	}
	return ""
}

type ReadKeyUsageInfoReply struct {
	Id                   string   `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	Key                  string   `protobuf:"bytes,2,opt,name=key,proto3" json:"key,omitempty"`
	MacAddress           []string `protobuf:"bytes,3,rep,name=mac_address,json=macAddress,proto3" json:"mac_address,omitempty"`
	UserId               []string `protobuf:"bytes,4,rep,name=user_id,json=userId,proto3" json:"user_id,omitempty"`
	ActiveTime           string   `protobuf:"bytes,5,opt,name=active_time,json=activeTime,proto3" json:"active_time,omitempty"`
	Status               string   `protobuf:"bytes,6,opt,name=status,proto3" json:"status,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *ReadKeyUsageInfoReply) Reset()         { *m = ReadKeyUsageInfoReply{} }
func (m *ReadKeyUsageInfoReply) String() string { return proto.CompactTextString(m) }
func (*ReadKeyUsageInfoReply) ProtoMessage()    {}
func (*ReadKeyUsageInfoReply) Descriptor() ([]byte, []int) {
	return fileDescriptor_fc9154f4fefb0f53, []int{5}
}

func (m *ReadKeyUsageInfoReply) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ReadKeyUsageInfoReply.Unmarshal(m, b)
}
func (m *ReadKeyUsageInfoReply) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ReadKeyUsageInfoReply.Marshal(b, m, deterministic)
}
func (m *ReadKeyUsageInfoReply) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ReadKeyUsageInfoReply.Merge(m, src)
}
func (m *ReadKeyUsageInfoReply) XXX_Size() int {
	return xxx_messageInfo_ReadKeyUsageInfoReply.Size(m)
}
func (m *ReadKeyUsageInfoReply) XXX_DiscardUnknown() {
	xxx_messageInfo_ReadKeyUsageInfoReply.DiscardUnknown(m)
}

var xxx_messageInfo_ReadKeyUsageInfoReply proto.InternalMessageInfo

func (m *ReadKeyUsageInfoReply) GetId() string {
	if m != nil {
		return m.Id
	}
	return ""
}

func (m *ReadKeyUsageInfoReply) GetKey() string {
	if m != nil {
		return m.Key
	}
	return ""
}

func (m *ReadKeyUsageInfoReply) GetMacAddress() []string {
	if m != nil {
		return m.MacAddress
	}
	return nil
}

func (m *ReadKeyUsageInfoReply) GetUserId() []string {
	if m != nil {
		return m.UserId
	}
	return nil
}

func (m *ReadKeyUsageInfoReply) GetActiveTime() string {
	if m != nil {
		return m.ActiveTime
	}
	return ""
}

func (m *ReadKeyUsageInfoReply) GetStatus() string {
	if m != nil {
		return m.Status
	}
	return ""
}

type KeepAliveUsageRequest struct {
	Ping                 string   `protobuf:"bytes,1,opt,name=ping,proto3" json:"ping,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *KeepAliveUsageRequest) Reset()         { *m = KeepAliveUsageRequest{} }
func (m *KeepAliveUsageRequest) String() string { return proto.CompactTextString(m) }
func (*KeepAliveUsageRequest) ProtoMessage()    {}
func (*KeepAliveUsageRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_fc9154f4fefb0f53, []int{6}
}

func (m *KeepAliveUsageRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_KeepAliveUsageRequest.Unmarshal(m, b)
}
func (m *KeepAliveUsageRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_KeepAliveUsageRequest.Marshal(b, m, deterministic)
}
func (m *KeepAliveUsageRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_KeepAliveUsageRequest.Merge(m, src)
}
func (m *KeepAliveUsageRequest) XXX_Size() int {
	return xxx_messageInfo_KeepAliveUsageRequest.Size(m)
}
func (m *KeepAliveUsageRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_KeepAliveUsageRequest.DiscardUnknown(m)
}

var xxx_messageInfo_KeepAliveUsageRequest proto.InternalMessageInfo

func (m *KeepAliveUsageRequest) GetPing() string {
	if m != nil {
		return m.Ping
	}
	return ""
}

type KeepAliveUsageReply struct {
	Pong                 string   `protobuf:"bytes,1,opt,name=pong,proto3" json:"pong,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *KeepAliveUsageReply) Reset()         { *m = KeepAliveUsageReply{} }
func (m *KeepAliveUsageReply) String() string { return proto.CompactTextString(m) }
func (*KeepAliveUsageReply) ProtoMessage()    {}
func (*KeepAliveUsageReply) Descriptor() ([]byte, []int) {
	return fileDescriptor_fc9154f4fefb0f53, []int{7}
}

func (m *KeepAliveUsageReply) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_KeepAliveUsageReply.Unmarshal(m, b)
}
func (m *KeepAliveUsageReply) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_KeepAliveUsageReply.Marshal(b, m, deterministic)
}
func (m *KeepAliveUsageReply) XXX_Merge(src proto.Message) {
	xxx_messageInfo_KeepAliveUsageReply.Merge(m, src)
}
func (m *KeepAliveUsageReply) XXX_Size() int {
	return xxx_messageInfo_KeepAliveUsageReply.Size(m)
}
func (m *KeepAliveUsageReply) XXX_DiscardUnknown() {
	xxx_messageInfo_KeepAliveUsageReply.DiscardUnknown(m)
}

var xxx_messageInfo_KeepAliveUsageReply proto.InternalMessageInfo

func (m *KeepAliveUsageReply) GetPong() string {
	if m != nil {
		return m.Pong
	}
	return ""
}

type ReadKeyUsageWithMacRequest struct {
	MacAddress           []string `protobuf:"bytes,1,rep,name=mac_address,json=macAddress,proto3" json:"mac_address,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *ReadKeyUsageWithMacRequest) Reset()         { *m = ReadKeyUsageWithMacRequest{} }
func (m *ReadKeyUsageWithMacRequest) String() string { return proto.CompactTextString(m) }
func (*ReadKeyUsageWithMacRequest) ProtoMessage()    {}
func (*ReadKeyUsageWithMacRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_fc9154f4fefb0f53, []int{8}
}

func (m *ReadKeyUsageWithMacRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ReadKeyUsageWithMacRequest.Unmarshal(m, b)
}
func (m *ReadKeyUsageWithMacRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ReadKeyUsageWithMacRequest.Marshal(b, m, deterministic)
}
func (m *ReadKeyUsageWithMacRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ReadKeyUsageWithMacRequest.Merge(m, src)
}
func (m *ReadKeyUsageWithMacRequest) XXX_Size() int {
	return xxx_messageInfo_ReadKeyUsageWithMacRequest.Size(m)
}
func (m *ReadKeyUsageWithMacRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_ReadKeyUsageWithMacRequest.DiscardUnknown(m)
}

var xxx_messageInfo_ReadKeyUsageWithMacRequest proto.InternalMessageInfo

func (m *ReadKeyUsageWithMacRequest) GetMacAddress() []string {
	if m != nil {
		return m.MacAddress
	}
	return nil
}

type ReadKeyUsageWithMacReply struct {
	KeyUsages            []*ReadKeyUsageWithMacReplyUsage `protobuf:"bytes,1,rep,name=key_usages,json=keyUsages,proto3" json:"key_usages,omitempty"`
	Count                int64                            `protobuf:"varint,2,opt,name=count,proto3" json:"count,omitempty"`
	XXX_NoUnkeyedLiteral struct{}                         `json:"-"`
	XXX_unrecognized     []byte                           `json:"-"`
	XXX_sizecache        int32                            `json:"-"`
}

func (m *ReadKeyUsageWithMacReply) Reset()         { *m = ReadKeyUsageWithMacReply{} }
func (m *ReadKeyUsageWithMacReply) String() string { return proto.CompactTextString(m) }
func (*ReadKeyUsageWithMacReply) ProtoMessage()    {}
func (*ReadKeyUsageWithMacReply) Descriptor() ([]byte, []int) {
	return fileDescriptor_fc9154f4fefb0f53, []int{9}
}

func (m *ReadKeyUsageWithMacReply) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ReadKeyUsageWithMacReply.Unmarshal(m, b)
}
func (m *ReadKeyUsageWithMacReply) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ReadKeyUsageWithMacReply.Marshal(b, m, deterministic)
}
func (m *ReadKeyUsageWithMacReply) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ReadKeyUsageWithMacReply.Merge(m, src)
}
func (m *ReadKeyUsageWithMacReply) XXX_Size() int {
	return xxx_messageInfo_ReadKeyUsageWithMacReply.Size(m)
}
func (m *ReadKeyUsageWithMacReply) XXX_DiscardUnknown() {
	xxx_messageInfo_ReadKeyUsageWithMacReply.DiscardUnknown(m)
}

var xxx_messageInfo_ReadKeyUsageWithMacReply proto.InternalMessageInfo

func (m *ReadKeyUsageWithMacReply) GetKeyUsages() []*ReadKeyUsageWithMacReplyUsage {
	if m != nil {
		return m.KeyUsages
	}
	return nil
}

func (m *ReadKeyUsageWithMacReply) GetCount() int64 {
	if m != nil {
		return m.Count
	}
	return 0
}

type ReadKeyUsageWithMacReplyUsage struct {
	Id                   string   `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	Key                  string   `protobuf:"bytes,2,opt,name=key,proto3" json:"key,omitempty"`
	MacAddress           []string `protobuf:"bytes,3,rep,name=mac_address,json=macAddress,proto3" json:"mac_address,omitempty"`
	UserId               []string `protobuf:"bytes,4,rep,name=user_id,json=userId,proto3" json:"user_id,omitempty"`
	ActiveTime           string   `protobuf:"bytes,5,opt,name=active_time,json=activeTime,proto3" json:"active_time,omitempty"`
	Status               string   `protobuf:"bytes,6,opt,name=status,proto3" json:"status,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *ReadKeyUsageWithMacReplyUsage) Reset()         { *m = ReadKeyUsageWithMacReplyUsage{} }
func (m *ReadKeyUsageWithMacReplyUsage) String() string { return proto.CompactTextString(m) }
func (*ReadKeyUsageWithMacReplyUsage) ProtoMessage()    {}
func (*ReadKeyUsageWithMacReplyUsage) Descriptor() ([]byte, []int) {
	return fileDescriptor_fc9154f4fefb0f53, []int{9, 0}
}

func (m *ReadKeyUsageWithMacReplyUsage) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ReadKeyUsageWithMacReplyUsage.Unmarshal(m, b)
}
func (m *ReadKeyUsageWithMacReplyUsage) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ReadKeyUsageWithMacReplyUsage.Marshal(b, m, deterministic)
}
func (m *ReadKeyUsageWithMacReplyUsage) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ReadKeyUsageWithMacReplyUsage.Merge(m, src)
}
func (m *ReadKeyUsageWithMacReplyUsage) XXX_Size() int {
	return xxx_messageInfo_ReadKeyUsageWithMacReplyUsage.Size(m)
}
func (m *ReadKeyUsageWithMacReplyUsage) XXX_DiscardUnknown() {
	xxx_messageInfo_ReadKeyUsageWithMacReplyUsage.DiscardUnknown(m)
}

var xxx_messageInfo_ReadKeyUsageWithMacReplyUsage proto.InternalMessageInfo

func (m *ReadKeyUsageWithMacReplyUsage) GetId() string {
	if m != nil {
		return m.Id
	}
	return ""
}

func (m *ReadKeyUsageWithMacReplyUsage) GetKey() string {
	if m != nil {
		return m.Key
	}
	return ""
}

func (m *ReadKeyUsageWithMacReplyUsage) GetMacAddress() []string {
	if m != nil {
		return m.MacAddress
	}
	return nil
}

func (m *ReadKeyUsageWithMacReplyUsage) GetUserId() []string {
	if m != nil {
		return m.UserId
	}
	return nil
}

func (m *ReadKeyUsageWithMacReplyUsage) GetActiveTime() string {
	if m != nil {
		return m.ActiveTime
	}
	return ""
}

func (m *ReadKeyUsageWithMacReplyUsage) GetStatus() string {
	if m != nil {
		return m.Status
	}
	return ""
}

type ReadKeyUsageBulkRequest struct {
	KeyList              []string `protobuf:"bytes,1,rep,name=key_list,json=keyList,proto3" json:"key_list,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *ReadKeyUsageBulkRequest) Reset()         { *m = ReadKeyUsageBulkRequest{} }
func (m *ReadKeyUsageBulkRequest) String() string { return proto.CompactTextString(m) }
func (*ReadKeyUsageBulkRequest) ProtoMessage()    {}
func (*ReadKeyUsageBulkRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_fc9154f4fefb0f53, []int{10}
}

func (m *ReadKeyUsageBulkRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ReadKeyUsageBulkRequest.Unmarshal(m, b)
}
func (m *ReadKeyUsageBulkRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ReadKeyUsageBulkRequest.Marshal(b, m, deterministic)
}
func (m *ReadKeyUsageBulkRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ReadKeyUsageBulkRequest.Merge(m, src)
}
func (m *ReadKeyUsageBulkRequest) XXX_Size() int {
	return xxx_messageInfo_ReadKeyUsageBulkRequest.Size(m)
}
func (m *ReadKeyUsageBulkRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_ReadKeyUsageBulkRequest.DiscardUnknown(m)
}

var xxx_messageInfo_ReadKeyUsageBulkRequest proto.InternalMessageInfo

func (m *ReadKeyUsageBulkRequest) GetKeyList() []string {
	if m != nil {
		return m.KeyList
	}
	return nil
}

type ReadKeyUsageBulkReply struct {
	KeyUsages            []*ReadKeyUsageBulkReplyUsage `protobuf:"bytes,1,rep,name=key_usages,json=keyUsages,proto3" json:"key_usages,omitempty"`
	Count                int64                         `protobuf:"varint,2,opt,name=count,proto3" json:"count,omitempty"`
	XXX_NoUnkeyedLiteral struct{}                      `json:"-"`
	XXX_unrecognized     []byte                        `json:"-"`
	XXX_sizecache        int32                         `json:"-"`
}

func (m *ReadKeyUsageBulkReply) Reset()         { *m = ReadKeyUsageBulkReply{} }
func (m *ReadKeyUsageBulkReply) String() string { return proto.CompactTextString(m) }
func (*ReadKeyUsageBulkReply) ProtoMessage()    {}
func (*ReadKeyUsageBulkReply) Descriptor() ([]byte, []int) {
	return fileDescriptor_fc9154f4fefb0f53, []int{11}
}

func (m *ReadKeyUsageBulkReply) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ReadKeyUsageBulkReply.Unmarshal(m, b)
}
func (m *ReadKeyUsageBulkReply) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ReadKeyUsageBulkReply.Marshal(b, m, deterministic)
}
func (m *ReadKeyUsageBulkReply) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ReadKeyUsageBulkReply.Merge(m, src)
}
func (m *ReadKeyUsageBulkReply) XXX_Size() int {
	return xxx_messageInfo_ReadKeyUsageBulkReply.Size(m)
}
func (m *ReadKeyUsageBulkReply) XXX_DiscardUnknown() {
	xxx_messageInfo_ReadKeyUsageBulkReply.DiscardUnknown(m)
}

var xxx_messageInfo_ReadKeyUsageBulkReply proto.InternalMessageInfo

func (m *ReadKeyUsageBulkReply) GetKeyUsages() []*ReadKeyUsageBulkReplyUsage {
	if m != nil {
		return m.KeyUsages
	}
	return nil
}

func (m *ReadKeyUsageBulkReply) GetCount() int64 {
	if m != nil {
		return m.Count
	}
	return 0
}

type ReadKeyUsageBulkReplyUsage struct {
	Id                   string   `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	Key                  string   `protobuf:"bytes,2,opt,name=key,proto3" json:"key,omitempty"`
	MacAddress           []string `protobuf:"bytes,3,rep,name=mac_address,json=macAddress,proto3" json:"mac_address,omitempty"`
	UserId               []string `protobuf:"bytes,4,rep,name=user_id,json=userId,proto3" json:"user_id,omitempty"`
	ActiveTime           string   `protobuf:"bytes,5,opt,name=active_time,json=activeTime,proto3" json:"active_time,omitempty"`
	Status               string   `protobuf:"bytes,6,opt,name=status,proto3" json:"status,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *ReadKeyUsageBulkReplyUsage) Reset()         { *m = ReadKeyUsageBulkReplyUsage{} }
func (m *ReadKeyUsageBulkReplyUsage) String() string { return proto.CompactTextString(m) }
func (*ReadKeyUsageBulkReplyUsage) ProtoMessage()    {}
func (*ReadKeyUsageBulkReplyUsage) Descriptor() ([]byte, []int) {
	return fileDescriptor_fc9154f4fefb0f53, []int{11, 0}
}

func (m *ReadKeyUsageBulkReplyUsage) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ReadKeyUsageBulkReplyUsage.Unmarshal(m, b)
}
func (m *ReadKeyUsageBulkReplyUsage) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ReadKeyUsageBulkReplyUsage.Marshal(b, m, deterministic)
}
func (m *ReadKeyUsageBulkReplyUsage) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ReadKeyUsageBulkReplyUsage.Merge(m, src)
}
func (m *ReadKeyUsageBulkReplyUsage) XXX_Size() int {
	return xxx_messageInfo_ReadKeyUsageBulkReplyUsage.Size(m)
}
func (m *ReadKeyUsageBulkReplyUsage) XXX_DiscardUnknown() {
	xxx_messageInfo_ReadKeyUsageBulkReplyUsage.DiscardUnknown(m)
}

var xxx_messageInfo_ReadKeyUsageBulkReplyUsage proto.InternalMessageInfo

func (m *ReadKeyUsageBulkReplyUsage) GetId() string {
	if m != nil {
		return m.Id
	}
	return ""
}

func (m *ReadKeyUsageBulkReplyUsage) GetKey() string {
	if m != nil {
		return m.Key
	}
	return ""
}

func (m *ReadKeyUsageBulkReplyUsage) GetMacAddress() []string {
	if m != nil {
		return m.MacAddress
	}
	return nil
}

func (m *ReadKeyUsageBulkReplyUsage) GetUserId() []string {
	if m != nil {
		return m.UserId
	}
	return nil
}

func (m *ReadKeyUsageBulkReplyUsage) GetActiveTime() string {
	if m != nil {
		return m.ActiveTime
	}
	return ""
}

func (m *ReadKeyUsageBulkReplyUsage) GetStatus() string {
	if m != nil {
		return m.Status
	}
	return ""
}

type ExpireUsageBulkRequest struct {
	IdList               []string `protobuf:"bytes,1,rep,name=id_list,json=idList,proto3" json:"id_list,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *ExpireUsageBulkRequest) Reset()         { *m = ExpireUsageBulkRequest{} }
func (m *ExpireUsageBulkRequest) String() string { return proto.CompactTextString(m) }
func (*ExpireUsageBulkRequest) ProtoMessage()    {}
func (*ExpireUsageBulkRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_fc9154f4fefb0f53, []int{12}
}

func (m *ExpireUsageBulkRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ExpireUsageBulkRequest.Unmarshal(m, b)
}
func (m *ExpireUsageBulkRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ExpireUsageBulkRequest.Marshal(b, m, deterministic)
}
func (m *ExpireUsageBulkRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ExpireUsageBulkRequest.Merge(m, src)
}
func (m *ExpireUsageBulkRequest) XXX_Size() int {
	return xxx_messageInfo_ExpireUsageBulkRequest.Size(m)
}
func (m *ExpireUsageBulkRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_ExpireUsageBulkRequest.DiscardUnknown(m)
}

var xxx_messageInfo_ExpireUsageBulkRequest proto.InternalMessageInfo

func (m *ExpireUsageBulkRequest) GetIdList() []string {
	if m != nil {
		return m.IdList
	}
	return nil
}

type ExpireUsageBulkReply struct {
	Count                int64    `protobuf:"varint,1,opt,name=count,proto3" json:"count,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *ExpireUsageBulkReply) Reset()         { *m = ExpireUsageBulkReply{} }
func (m *ExpireUsageBulkReply) String() string { return proto.CompactTextString(m) }
func (*ExpireUsageBulkReply) ProtoMessage()    {}
func (*ExpireUsageBulkReply) Descriptor() ([]byte, []int) {
	return fileDescriptor_fc9154f4fefb0f53, []int{13}
}

func (m *ExpireUsageBulkReply) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ExpireUsageBulkReply.Unmarshal(m, b)
}
func (m *ExpireUsageBulkReply) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ExpireUsageBulkReply.Marshal(b, m, deterministic)
}
func (m *ExpireUsageBulkReply) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ExpireUsageBulkReply.Merge(m, src)
}
func (m *ExpireUsageBulkReply) XXX_Size() int {
	return xxx_messageInfo_ExpireUsageBulkReply.Size(m)
}
func (m *ExpireUsageBulkReply) XXX_DiscardUnknown() {
	xxx_messageInfo_ExpireUsageBulkReply.DiscardUnknown(m)
}

var xxx_messageInfo_ExpireUsageBulkReply proto.InternalMessageInfo

func (m *ExpireUsageBulkReply) GetCount() int64 {
	if m != nil {
		return m.Count
	}
	return 0
}

func init() {
	proto.RegisterType((*CreateKeyUsageInfoRequest)(nil), "pb.CreateKeyUsageInfoRequest")
	proto.RegisterType((*CreateKeyUsageInfoReply)(nil), "pb.CreateKeyUsageInfoReply")
	proto.RegisterType((*UpdateKeyUsageInfoRequest)(nil), "pb.UpdateKeyUsageInfoRequest")
	proto.RegisterType((*UpdateKeyUsageInfoReply)(nil), "pb.UpdateKeyUsageInfoReply")
	proto.RegisterType((*ReadKeyUsageInfoRequest)(nil), "pb.ReadKeyUsageInfoRequest")
	proto.RegisterType((*ReadKeyUsageInfoReply)(nil), "pb.ReadKeyUsageInfoReply")
	proto.RegisterType((*KeepAliveUsageRequest)(nil), "pb.KeepAliveUsageRequest")
	proto.RegisterType((*KeepAliveUsageReply)(nil), "pb.KeepAliveUsageReply")
	proto.RegisterType((*ReadKeyUsageWithMacRequest)(nil), "pb.ReadKeyUsageWithMacRequest")
	proto.RegisterType((*ReadKeyUsageWithMacReply)(nil), "pb.ReadKeyUsageWithMacReply")
	proto.RegisterType((*ReadKeyUsageWithMacReplyUsage)(nil), "pb.ReadKeyUsageWithMacReply.usage")
	proto.RegisterType((*ReadKeyUsageBulkRequest)(nil), "pb.ReadKeyUsageBulkRequest")
	proto.RegisterType((*ReadKeyUsageBulkReply)(nil), "pb.ReadKeyUsageBulkReply")
	proto.RegisterType((*ReadKeyUsageBulkReplyUsage)(nil), "pb.ReadKeyUsageBulkReply.usage")
	proto.RegisterType((*ExpireUsageBulkRequest)(nil), "pb.ExpireUsageBulkRequest")
	proto.RegisterType((*ExpireUsageBulkReply)(nil), "pb.ExpireUsageBulkReply")
}

func init() { proto.RegisterFile("usage.proto", fileDescriptor_fc9154f4fefb0f53) }

var fileDescriptor_fc9154f4fefb0f53 = []byte{
	// 588 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0xdc, 0x55, 0x4d, 0x6f, 0xd4, 0x3c,
	0x10, 0x56, 0xb2, 0x5f, 0x6f, 0x67, 0x5f, 0x4a, 0xe5, 0x7e, 0x24, 0x9b, 0x02, 0xad, 0xcc, 0x85,
	0xaa, 0x68, 0x25, 0x0a, 0x57, 0x2a, 0x2d, 0xa5, 0x42, 0xa5, 0x20, 0x55, 0x0b, 0x15, 0xc7, 0x55,
	0x36, 0x36, 0x8b, 0x95, 0xec, 0x26, 0x24, 0x4e, 0x45, 0xfe, 0x03, 0x27, 0xce, 0x1c, 0xb8, 0x71,
	0xe1, 0x47, 0x22, 0xdb, 0x49, 0xc9, 0x87, 0x53, 0xf5, 0x88, 0xb8, 0xc5, 0x33, 0xcf, 0x8c, 0xe7,
	0x79, 0x66, 0x3c, 0x81, 0x61, 0x9a, 0xb8, 0x0b, 0x3a, 0x8e, 0xe2, 0x90, 0x87, 0xc8, 0x8c, 0xe6,
	0xf8, 0x14, 0x46, 0x27, 0x31, 0x75, 0x39, 0x3d, 0xa7, 0xd9, 0xa5, 0xf0, 0x9d, 0xad, 0x3e, 0x86,
	0x53, 0xfa, 0x39, 0xa5, 0x09, 0x47, 0x1b, 0xd0, 0xf1, 0x69, 0x66, 0x1b, 0xfb, 0xc6, 0xa3, 0xb5,
	0xa9, 0xf8, 0x44, 0x3b, 0xd0, 0x4f, 0xb8, 0xcb, 0xd3, 0xc4, 0x36, 0xa5, 0x31, 0x3f, 0xe1, 0x03,
	0xb0, 0x74, 0x69, 0xa2, 0x20, 0x43, 0xeb, 0x60, 0x32, 0x92, 0xe7, 0x30, 0x19, 0xc1, 0x3f, 0x0c,
	0x18, 0x5d, 0x46, 0xe4, 0xd6, 0x57, 0xee, 0xc1, 0x70, 0xe9, 0x7a, 0x33, 0x97, 0x90, 0x98, 0x26,
	0xc5, 0xbd, 0xb0, 0x74, 0xbd, 0x89, 0xb2, 0x20, 0x0b, 0x06, 0x69, 0x42, 0xe3, 0x19, 0x23, 0x76,
	0x47, 0x15, 0x25, 0x8e, 0x67, 0x44, 0x44, 0xba, 0x1e, 0x67, 0x57, 0x74, 0xc6, 0xd9, 0x92, 0xda,
	0x5d, 0x15, 0xa9, 0x4c, 0xef, 0xd9, 0x92, 0x96, 0xd8, 0xf4, 0x2a, 0x6c, 0x8e, 0xc1, 0xd2, 0x55,
	0x28, 0xd8, 0x3c, 0x84, 0x3b, 0xa9, 0x74, 0x91, 0x99, 0x17, 0xa6, 0x2b, 0x2e, 0x2b, 0xed, 0x4c,
	0xff, 0xcf, 0x8d, 0x27, 0xc2, 0x86, 0x0f, 0xc1, 0x9a, 0x52, 0x97, 0xdc, 0x8a, 0x1f, 0xfe, 0x65,
	0xc0, 0x76, 0x13, 0xad, 0x51, 0xae, 0x88, 0x35, 0x5b, 0xb5, 0xe9, 0xec, 0x77, 0xda, 0xb5, 0xe9,
	0x4a, 0x67, 0x8b, 0x36, 0xbd, 0x1b, 0xb4, 0xe9, 0x57, 0xb4, 0x39, 0x84, 0xed, 0x73, 0x4a, 0xa3,
	0x49, 0xc0, 0xae, 0xa8, 0xac, 0xb7, 0x60, 0x86, 0xa0, 0x1b, 0xb1, 0xd5, 0x22, 0xaf, 0x57, 0x7e,
	0xe3, 0x03, 0xd8, 0xac, 0x83, 0x05, 0x31, 0x01, 0x0d, 0x4b, 0xd0, 0x70, 0xb5, 0xc0, 0xcf, 0xc1,
	0x29, 0xab, 0xf0, 0x81, 0xf1, 0x4f, 0x6f, 0x5d, 0xaf, 0x48, 0x5e, 0x23, 0x6a, 0xd4, 0x89, 0xe2,
	0x6f, 0x26, 0xd8, 0xda, 0x78, 0x71, 0xdf, 0x04, 0xc0, 0xa7, 0xd9, 0x4c, 0xce, 0xbe, 0x0a, 0x1e,
	0x1e, 0xe1, 0x71, 0x34, 0x1f, 0xb7, 0x45, 0x8c, 0x25, 0x74, 0xba, 0xe6, 0xe7, 0xbe, 0x04, 0x6d,
	0x41, 0x4f, 0xf5, 0xdb, 0x94, 0xfd, 0x56, 0x07, 0xe7, 0xbb, 0x01, 0x3d, 0x09, 0xfd, 0x3b, 0x7b,
	0xf5, 0xac, 0x3a, 0x87, 0x2f, 0xd2, 0xc0, 0x2f, 0x04, 0x1d, 0xc1, 0x7f, 0x42, 0x92, 0x80, 0x25,
	0x3c, 0x57, 0x73, 0xe0, 0xd3, 0xec, 0x0d, 0x4b, 0x38, 0xfe, 0x6a, 0x56, 0x07, 0x52, 0x85, 0x09,
	0x1d, 0x8f, 0x35, 0x3a, 0xee, 0xd5, 0x75, 0xbc, 0x86, 0xff, 0x23, 0x22, 0x3e, 0x81, 0x9d, 0xd3,
	0x2f, 0x11, 0x8b, 0x69, 0x43, 0x43, 0x0b, 0x06, 0x8c, 0x94, 0x25, 0xec, 0x33, 0x22, 0x15, 0x7c,
	0x0c, 0x5b, 0x8d, 0x10, 0xa1, 0xdf, 0x35, 0x7f, 0xa3, 0xc4, 0xff, 0xe8, 0x67, 0x17, 0x7a, 0x12,
	0x88, 0x2e, 0x00, 0x35, 0xb7, 0x28, 0xba, 0x2f, 0x14, 0x6e, 0x5d, 0xd2, 0xce, 0x6e, 0x9b, 0x5b,
	0xdc, 0x78, 0x01, 0xa8, 0xb9, 0xc9, 0x54, 0xc6, 0xd6, 0x1d, 0xac, 0x32, 0xb6, 0x2d, 0xc0, 0xd7,
	0xb0, 0x51, 0xdf, 0x56, 0x68, 0xb7, 0x3e, 0x03, 0xe5, 0x6c, 0x23, 0xbd, 0x53, 0xe4, 0x7a, 0x09,
	0xeb, 0xd5, 0xf5, 0x80, 0x24, 0x58, 0xbb, 0x5f, 0x1c, 0x4b, 0xe7, 0x12, 0x59, 0xde, 0xc1, 0xa6,
	0xe6, 0x1d, 0xa3, 0x07, 0xad, 0x0f, 0x5c, 0xe5, 0xbb, 0x77, 0xd3, 0x02, 0xa8, 0xd3, 0x14, 0x3d,
	0x6c, 0xd2, 0x2c, 0x0d, 0x43, 0x93, 0xe6, 0x9f, 0xb6, 0xbf, 0x82, 0xbb, 0xb5, 0x71, 0x40, 0x8e,
	0x40, 0xeb, 0xc7, 0xca, 0xb1, 0xb5, 0xbe, 0x28, 0xc8, 0xe6, 0x7d, 0xf9, 0xdf, 0x7e, 0xfa, 0x3b,
	0x00, 0x00, 0xff, 0xff, 0xac, 0x73, 0x52, 0x07, 0xc6, 0x07, 0x00, 0x00,
}

// Reference imports to suppress errors if they are not otherwise used.
var _ context.Context
var _ grpc.ClientConn

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
const _ = grpc.SupportPackageIsVersion4

// UsageClient is the client API for Usage service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://godoc.org/google.golang.org/grpc#ClientConn.NewStream.
type UsageClient interface {
	CreateKeyUsageInfo(ctx context.Context, in *CreateKeyUsageInfoRequest, opts ...grpc.CallOption) (*CreateKeyUsageInfoReply, error)
	UpdateKeyUsageInfo(ctx context.Context, in *UpdateKeyUsageInfoRequest, opts ...grpc.CallOption) (*UpdateKeyUsageInfoReply, error)
	ReadKeyUsageInfo(ctx context.Context, in *ReadKeyUsageInfoRequest, opts ...grpc.CallOption) (*ReadKeyUsageInfoReply, error)
	KeepAliveUsage(ctx context.Context, in *KeepAliveUsageRequest, opts ...grpc.CallOption) (*KeepAliveUsageReply, error)
	ReadKeyUsageWithMac(ctx context.Context, in *ReadKeyUsageWithMacRequest, opts ...grpc.CallOption) (*ReadKeyUsageWithMacReply, error)
	ReadKeyUsageBulk(ctx context.Context, in *ReadKeyUsageBulkRequest, opts ...grpc.CallOption) (*ReadKeyUsageBulkReply, error)
	ExpireUsageBulk(ctx context.Context, in *ExpireUsageBulkRequest, opts ...grpc.CallOption) (*ExpireUsageBulkReply, error)
}

type usageClient struct {
	cc *grpc.ClientConn
}

func NewUsageClient(cc *grpc.ClientConn) UsageClient {
	return &usageClient{cc}
}

func (c *usageClient) CreateKeyUsageInfo(ctx context.Context, in *CreateKeyUsageInfoRequest, opts ...grpc.CallOption) (*CreateKeyUsageInfoReply, error) {
	out := new(CreateKeyUsageInfoReply)
	err := c.cc.Invoke(ctx, "/pb.Usage/CreateKeyUsageInfo", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *usageClient) UpdateKeyUsageInfo(ctx context.Context, in *UpdateKeyUsageInfoRequest, opts ...grpc.CallOption) (*UpdateKeyUsageInfoReply, error) {
	out := new(UpdateKeyUsageInfoReply)
	err := c.cc.Invoke(ctx, "/pb.Usage/UpdateKeyUsageInfo", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *usageClient) ReadKeyUsageInfo(ctx context.Context, in *ReadKeyUsageInfoRequest, opts ...grpc.CallOption) (*ReadKeyUsageInfoReply, error) {
	out := new(ReadKeyUsageInfoReply)
	err := c.cc.Invoke(ctx, "/pb.Usage/ReadKeyUsageInfo", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *usageClient) KeepAliveUsage(ctx context.Context, in *KeepAliveUsageRequest, opts ...grpc.CallOption) (*KeepAliveUsageReply, error) {
	out := new(KeepAliveUsageReply)
	err := c.cc.Invoke(ctx, "/pb.Usage/KeepAliveUsage", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *usageClient) ReadKeyUsageWithMac(ctx context.Context, in *ReadKeyUsageWithMacRequest, opts ...grpc.CallOption) (*ReadKeyUsageWithMacReply, error) {
	out := new(ReadKeyUsageWithMacReply)
	err := c.cc.Invoke(ctx, "/pb.Usage/ReadKeyUsageWithMac", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *usageClient) ReadKeyUsageBulk(ctx context.Context, in *ReadKeyUsageBulkRequest, opts ...grpc.CallOption) (*ReadKeyUsageBulkReply, error) {
	out := new(ReadKeyUsageBulkReply)
	err := c.cc.Invoke(ctx, "/pb.Usage/ReadKeyUsageBulk", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *usageClient) ExpireUsageBulk(ctx context.Context, in *ExpireUsageBulkRequest, opts ...grpc.CallOption) (*ExpireUsageBulkReply, error) {
	out := new(ExpireUsageBulkReply)
	err := c.cc.Invoke(ctx, "/pb.Usage/ExpireUsageBulk", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// UsageServer is the server API for Usage service.
type UsageServer interface {
	CreateKeyUsageInfo(context.Context, *CreateKeyUsageInfoRequest) (*CreateKeyUsageInfoReply, error)
	UpdateKeyUsageInfo(context.Context, *UpdateKeyUsageInfoRequest) (*UpdateKeyUsageInfoReply, error)
	ReadKeyUsageInfo(context.Context, *ReadKeyUsageInfoRequest) (*ReadKeyUsageInfoReply, error)
	KeepAliveUsage(context.Context, *KeepAliveUsageRequest) (*KeepAliveUsageReply, error)
	ReadKeyUsageWithMac(context.Context, *ReadKeyUsageWithMacRequest) (*ReadKeyUsageWithMacReply, error)
	ReadKeyUsageBulk(context.Context, *ReadKeyUsageBulkRequest) (*ReadKeyUsageBulkReply, error)
	ExpireUsageBulk(context.Context, *ExpireUsageBulkRequest) (*ExpireUsageBulkReply, error)
}

// UnimplementedUsageServer can be embedded to have forward compatible implementations.
type UnimplementedUsageServer struct {
}

func (*UnimplementedUsageServer) CreateKeyUsageInfo(ctx context.Context, req *CreateKeyUsageInfoRequest) (*CreateKeyUsageInfoReply, error) {
	return nil, status.Errorf(codes.Unimplemented, "method CreateKeyUsageInfo not implemented")
}
func (*UnimplementedUsageServer) UpdateKeyUsageInfo(ctx context.Context, req *UpdateKeyUsageInfoRequest) (*UpdateKeyUsageInfoReply, error) {
	return nil, status.Errorf(codes.Unimplemented, "method UpdateKeyUsageInfo not implemented")
}
func (*UnimplementedUsageServer) ReadKeyUsageInfo(ctx context.Context, req *ReadKeyUsageInfoRequest) (*ReadKeyUsageInfoReply, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ReadKeyUsageInfo not implemented")
}
func (*UnimplementedUsageServer) KeepAliveUsage(ctx context.Context, req *KeepAliveUsageRequest) (*KeepAliveUsageReply, error) {
	return nil, status.Errorf(codes.Unimplemented, "method KeepAliveUsage not implemented")
}
func (*UnimplementedUsageServer) ReadKeyUsageWithMac(ctx context.Context, req *ReadKeyUsageWithMacRequest) (*ReadKeyUsageWithMacReply, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ReadKeyUsageWithMac not implemented")
}
func (*UnimplementedUsageServer) ReadKeyUsageBulk(ctx context.Context, req *ReadKeyUsageBulkRequest) (*ReadKeyUsageBulkReply, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ReadKeyUsageBulk not implemented")
}
func (*UnimplementedUsageServer) ExpireUsageBulk(ctx context.Context, req *ExpireUsageBulkRequest) (*ExpireUsageBulkReply, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ExpireUsageBulk not implemented")
}

func RegisterUsageServer(s *grpc.Server, srv UsageServer) {
	s.RegisterService(&_Usage_serviceDesc, srv)
}

func _Usage_CreateKeyUsageInfo_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(CreateKeyUsageInfoRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UsageServer).CreateKeyUsageInfo(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/pb.Usage/CreateKeyUsageInfo",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UsageServer).CreateKeyUsageInfo(ctx, req.(*CreateKeyUsageInfoRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Usage_UpdateKeyUsageInfo_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(UpdateKeyUsageInfoRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UsageServer).UpdateKeyUsageInfo(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/pb.Usage/UpdateKeyUsageInfo",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UsageServer).UpdateKeyUsageInfo(ctx, req.(*UpdateKeyUsageInfoRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Usage_ReadKeyUsageInfo_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ReadKeyUsageInfoRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UsageServer).ReadKeyUsageInfo(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/pb.Usage/ReadKeyUsageInfo",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UsageServer).ReadKeyUsageInfo(ctx, req.(*ReadKeyUsageInfoRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Usage_KeepAliveUsage_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(KeepAliveUsageRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UsageServer).KeepAliveUsage(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/pb.Usage/KeepAliveUsage",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UsageServer).KeepAliveUsage(ctx, req.(*KeepAliveUsageRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Usage_ReadKeyUsageWithMac_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ReadKeyUsageWithMacRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UsageServer).ReadKeyUsageWithMac(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/pb.Usage/ReadKeyUsageWithMac",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UsageServer).ReadKeyUsageWithMac(ctx, req.(*ReadKeyUsageWithMacRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Usage_ReadKeyUsageBulk_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ReadKeyUsageBulkRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UsageServer).ReadKeyUsageBulk(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/pb.Usage/ReadKeyUsageBulk",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UsageServer).ReadKeyUsageBulk(ctx, req.(*ReadKeyUsageBulkRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Usage_ExpireUsageBulk_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ExpireUsageBulkRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(UsageServer).ExpireUsageBulk(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/pb.Usage/ExpireUsageBulk",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(UsageServer).ExpireUsageBulk(ctx, req.(*ExpireUsageBulkRequest))
	}
	return interceptor(ctx, in, info, handler)
}

var _Usage_serviceDesc = grpc.ServiceDesc{
	ServiceName: "pb.Usage",
	HandlerType: (*UsageServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "CreateKeyUsageInfo",
			Handler:    _Usage_CreateKeyUsageInfo_Handler,
		},
		{
			MethodName: "UpdateKeyUsageInfo",
			Handler:    _Usage_UpdateKeyUsageInfo_Handler,
		},
		{
			MethodName: "ReadKeyUsageInfo",
			Handler:    _Usage_ReadKeyUsageInfo_Handler,
		},
		{
			MethodName: "KeepAliveUsage",
			Handler:    _Usage_KeepAliveUsage_Handler,
		},
		{
			MethodName: "ReadKeyUsageWithMac",
			Handler:    _Usage_ReadKeyUsageWithMac_Handler,
		},
		{
			MethodName: "ReadKeyUsageBulk",
			Handler:    _Usage_ReadKeyUsageBulk_Handler,
		},
		{
			MethodName: "ExpireUsageBulk",
			Handler:    _Usage_ExpireUsageBulk_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "usage.proto",
}
